#!/bin/bash

# Usage: ./gera [-n #CITIES] [-c VEHICLE CAPACITY] [-s SYMMETRICAL] [-o OUTPUT] 

# Generation of an instance dataset with 3 types x 8 sizes x 5 instances = 120
# n: 10, 20, 30
# instance type defined by c and s
# c: 3, 4, 5, 6
# s: 0, 1
echo "Types:"
type=0
echo "C | S | Type"
for s in 0 1; do
	for c in 3 4 5 6 ; do
		((type=type+1))
		type=$(echo "0${type}")
		echo "$c | $s | $type"
	done
done

# number of cities
for n in 10 20 30; do
	echo "Generating instances of ${n} cities..."
	type=0
	# symmetry
	for s in 0 1; do
		# vehicle capacity
		for c in 3 4 5 6 ; do
			# one type per pair (c,s)
			((type=type+1))
			type=$(echo "0${type}")
			# instances of the same type
			for in in 01 02 03 04 05; do
				cmd="./gera -c $c -s $s -n $n -o ${n}-${type}_${in}" ; $cmd
			done
		done
	done
	echo "OK"
done

exit 0